最新消息:20190717 VPS服务器:Vultr新加坡,WordPress主题:大前端D8,统一介绍入口:关于

【已解决】Android 4.4.4的小米4Xposed Installer出错:Xposed目前不兼容Android SDK版本19或您的处理器架构armeabi-v7a

Android crifan 75浏览 0评论
折腾:
【已解决】小米4中重新安装Xposed Installer和激活Xposed框架
期间,想要去安装Xposed,结果此处提示出错:
Xposed目前不兼容Android SDK版本19或您的处理器架构armeabi-v7a
WARNING:linker /data/data/de.robv.android.xposed.installer/cache/app_process has text relocations
This is wasting memory and is a security risk. Please fix.
CANNOT_LINK_EXECUTABLE 
cannot locate symbol _ZN7android14AndroidRuntime5startEPKcS2_
referenced by /data/data/de.robv.android.xposed.installer/cache/app_process
而之前是没有提示这个错误的。
后来是:
点击安装/更新
然后重启时
MIUI自动(无故)更新的新版本,到MIUI 7
导致此处问题的。
现在的系统信息是:
型号:MI 4LTE-CU
Android版本:4.4.4 KTU84P
MIUI版本:MIUI 7.5.12.17 开发版
Xposed installer版本是:
2.7 experimental1
Xposed目前不兼容Android SDK版本19或您的处理器架构armeabi-v7a
Xposed 目前不兼容 Android SDK 版本 19 或者您的处理器架构 (armeabi-v7a) – CSDN博客
(求助大神怎么办)Xposed 目前不兼容 Android SDK 版本19 或者【xposed框架吧】_百度贴吧
但是百度网盘链接失效了。
Xposed 目前不兼容Android SDK版本19或者…这是什么情况?_小米Note/顶配_MIUI论坛
“MIUI 4.4.4的部分移植了5.0 或者5.1.1的代码和安全机制。可能会影响此框架使用。
5.1系统不支持的,需要通过第三方rec刷入xp框架的zip包才能用,我之前用的4.4.4系统正常,后来刷了第三方5.1.1系统就用不了xp框架,然后就找到了这个方法解决,现在可以正常使用xp框架了
Bin/app_process
Lib/libandroid_runtime.so
24号xp框架解决办法。换成17号的”
没太看懂办法。
但是自己感觉是:
估计换新版本的Xposed就可以了
因为官网之前有新版本的,正常Android 5的
“用re管理器,将新版miui中system/Bin/app_process 和system/Lib/libandroid_runtime.so两个文件换成17号的,并按源文件权限修改权限。”
发一个MIUI7可用的XP框架更新至MIUI8XP框架_小米Note/顶配_MIUI论坛
XP安装器MIUI版.apk
33.35 MB, 下载次数: 18432, 下载积分: 经验 -1 米
MIUI8
抽空再去下载试试
红米note增强版MIUI8.0稳定版 目前不兼容Android SDK版本19或者…_红米Note_MIUI论坛
Xposed目前不兼容Android SDK版本 该如何处理???(´・_・`)_红米手机1_MIUI论坛
9.24更新之后各位大神怎么搞xposed?_小米手机3_MIUI论坛
谁有适合哒能用哒_小米手机3_MIUI论坛
2.61的版本
Xposed 2.6改版 – 解决不兼容Android SDK版本19或者您的处理器架构(armeabi-v7a) – 精品软件 – 三思屋 3sv.ktsee.comKTSee.com
http://3sv.ktsee.com/thread-4055-1-1.html
-》
我的手机魅族的,那天激活xposed框架后手机就出了問題,明明有几个G内-ZOL问答
解决荣耀6如何安装xp框架的问题 – 荣耀6玩机技巧 花粉俱乐部
【未解决】小米4中尝试官方的2.x版本Xposed Installer去解决提示的不兼容的问题
注,在折腾2.x版本期间:
另外无意间找到,更加新的版本:3.1.5
下载xposed installer免费 (android)
Xposed Installer 3.1.5针对于Android – 下载
不知道是否是官网的版本,暂时不理会,万一哪天用得到,可以去试试。
-》后来通过Xposed Installer的关于中,看到了:
看来是原作者的版本,因为上传者是rovo89
期间也试了其他一些,非官方的2.x的版本:
虽然感觉不一定有用,都是2.6.1的版本
但是也还是试试吧,万一有用呢。。
http://3sv.ktsee.com/thread-4055-1-1.html
-》
结果无法下载
搜:
XposedInstaller_v2.6.1_by_SolarWarez_20151129.apk
【网盘资源】XposedInstaller_v2.6.1_by_SolarWarez_20151129.apk_微友搜索网|微友百度网盘搜索_你懂的百度网盘资源搜索下载
XposedInstaller_v2.6.1_by_SolarWarez_20151129.apk免費軟體/遊戲下載 – Android 台灣中文網 – APK.TW
XposedInstaller_v2.6.1_by_SolarWarez_20151129.apk免費軟體/遊戲下載 – Android 台灣中文網 – APK.TW
然后去试试:
【未解决】小米4中尝试安装最新3.1.5的Xposed Installer去解决2.6版本提示的不兼容的问题
感觉问题变成了:
又要改成低版本,Xposed 2.7才可以?
但是自己之前就是安装了2.7不行,才来试试3.5.1的
再回去试试2.x版本的Xposed。
Android 7.X可用的Xposed框架卡刷包 – OnePlus 3T – 一加手机社区官方论坛
-》
类原生ROM_免费高速下载|百度网盘-分享无限制
https://pan.baidu.com/s/1mijzH3q#list/path=%2F类原生ROM%2Farm64
可以下载,但是目前暂不太敢用。
小米4 MIUI8.1(稳定版)安装xposed框架 – 简书
刷机_免费高速下载|百度网盘-分享无限制
https://pan.baidu.com/s/1kV8ZMyN#list/path=%2F资源%2F软件%2F刷机&parentPath=%2F资源%2F软件
->
去下载两个看起来是MIUI版本的Xposed
期间:
【已解决】Mac中如何解压cpgz的压缩文件
但是解压出是文件和文件夹,不是我要的apk。
算了,还是回去试试:
XposedInstaller_v2.6.1_by_SolarWarez_20151129.apk
结果都要付费才能下载。放弃。
Android api 19
-》
API 级别:19. Android 4.4 ( KITKAT )
算了,直接还回去之前的2.7的版本,确保支持Android 4.4
然后直接点击安装/更新,看看效果
结果安装/更新,无法点击。
点击卸载,提示:
无法获取root权限
请确认您的设备已经正确的root以及您没有屏蔽shell命令
突然想起来:
难道是 小米的安全中心 中 又失去了 没有给开启root权限
导致此处获取不到root权限?
去看看
果然是:
那去开启:
然后再去:
安装/更新
试试,还是无法点击。
这下可以点击卸载了:
然后重新安装2.7版本试试
再重启手机试试
试了半天都不行。
而且此处重装Xposed Installer后,Root授权管理中,都看不到Xposed了。。。
另外360超级Root中的root授权管理也看不到Xposed,很奇怪。
http://www.miui.com/thread-3317518-1-1.html
-》
XP安装器MIUI版.apk
33.35 MB
去安装试试
结果坑爹的是:
内部继承了Xposed Installer 2.7版本,和之前的一样,没区别。
所以无法解决问题。还是一样的错误提示。
另外抽空试试:
[SHARE][FIX][KK] Xposed Framework after secu… | Samsung Galaxy Core
->
Xposed for android 4.4.4 not working anymore + FIX – Post #62
-》
https://dl.xda-developers.com/3/5/5/9/1/4/5/XposedInstaller_v2.6.1_MIUI_edition_by_SolarWarez_20151129.apk?key=SrYUtQTA2519BNRqr4QAtQ&ts=1536653915
XposedInstaller_v2.6.1_by_SolarWarez_20151129.apk
下载到手机中,通过ES浏览器,改名后,去安装:
安装后,真的没了之前的提示了:
【总结】
至此,对于此处
小米4
型号:MI 4LTE-CU
Android版本:4.4.4 KTU84P
MIUI版本:MIUI 7.5.12.17 开发版
用之前的官网:
Xposed Installer | Xposed Module Repository
下载的2.x系列(2.5, 2.6, 2.7 experimental1等)版本,都还是会出现错误提示:
Xposed目前不兼容Android SDK版本19或您的处理器架构armeabi-v7a
(注:Android API 19=Android 4.4.4)
解决办法是:
网上找到高手SolarWarez修改后的Xposed的2.6的版本
其改动只是:把原装Xposed Installer 2.6中的app_process_xposed_sdk16替换成自己的版本了
然后安装后,即可解决错误警告。
注:记得安装新版本之前,删除旧版本。
具体步骤是:
[SHARE][FIX][KK] Xposed Framework after secu… | Samsung Galaxy Core
->
Xposed for android 4.4.4 not working anymore + FIX – Post #62
下载到730KB的:
XposedInstaller_v2.6.1_by_SolarWarez_20151129.apk
安装即可。

转载请注明:在路上 » 【已解决】Android 4.4.4的小米4Xposed Installer出错:Xposed目前不兼容Android SDK版本19或您的处理器架构armeabi-v7a

发表我的评论
取消评论

表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
16 queries in 0.104 seconds, using 9.43MB memory